Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.util
Class HtmlUtil

    java.lang.Object
      org.richfaces.component.util.HtmlUtil

    public final class HtmlUtil

extends Object

Author:
  Nick Belaevski - nbelaevski@exadel.com created 09.02.2007

Field Summary
`static Pattern` | `ID_SELECTOR_PATTERN`

Method Summary
`static String` | `addToSize(String declaration, String delta)`
`static String` | `concatClasses(Object... classes)`
`static String` | `concatStyles(Object... styles)`
`static String` | `expandIdSelector(String selector, javax.faces.component.UIComponent component, javax.faces.context.FacesContext context)`
`static String` | `idsToIdSelector(String ids)`
`static boolean` | `shouldWriteId(javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_SELECTOR_PATTERN

    public static final Pattern ID_SELECTOR_PATTERN

Method Detail

### addToSize

    public static String addToSize(String declaration,
                                   String delta)

### expandIdSelector

    public static String expandIdSelector(String selector,
                                          javax.faces.component.UIComponent component,
                                          javax.faces.context.FacesContext context)

### idsToIdSelector

    public static String idsToIdSelector(String ids)

### shouldWriteId

    public static boolean shouldWriteId(javax.faces.component.UIComponent component)

### concatClasses

    public static String concatClasses(Object... classes)

### concatStyles

    public static String concatStyles(Object... styles)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.